$(function(){
	$(document).on('click', 'input[name=price_type]', function(){
		eee= $("input[name='price_type']:checked").val();
		if(eee == 1){
			$('.exp_type').show();
		}else{
			$('.exp_type').hide();
		}
	});
	
	$(document).on('click', 'input[name=vtype]', function(){
		eee= $("input[name='vtype']:checked").val();
		if(eee == '2'){		// weight 
			$(".expbox em").html('Kg');
		}else{
			$(".expbox em").html('件');
		}
	});
	
	var val=$('input:radio[name="vtype"]:checked').val();
	if(val == '2'){
		$(".expbox em").html('Kg');
	}else{
		$(".expbox em").html('件');	
	}
});
function time_rand(){
	var outTradeNo=""; 
	for(var i=0; i<6; i++){
		outTradeNo += Math.floor(Math.random()*10);
	}
	return new Date().getTime() + outTradeNo;	
}
$(function(){
	$(document).on('click', '.adradd a', function(){ 
		rand = time_rand();
		html ='<tr id="addrtr_'+rand+'">'+ 
				'<td>'+
					'<div class="adrbox"></div>'+
					'<div class="adredit"><a href="javascript:;" class="openaddr addrtr_e_'+rand+'" data-aid="'+rand+'">编辑</a></div>'+
					'<input type="hidden" name="addr_id[]" class="addpot_id addpot_id_'+rand+'" value=""/>'+
				'</td>'+
				'<td><input type="text" name="one_num[]" value="" size="5"></td>'+
				'<td><input type="text" name="one_price[]" value="" size="5"></td>'+
				'<td><input type="text" name="other_num[]" value="" size="5"></td>'+
				'<td><input type="text" name="other_price[]" value="" size="5"></td>'+
				'<td><a href="javascript:;" class="addrdel" data-aid="'+rand+'">删除</a></td>'+
			'</tr>'; 
		len = $(".addr_table tbody tr").length;
		if(len == '0'){
			$(".addr_table tbody").html(html);
		}else{
			$(".addr_table tbody tr:last").after(html);
		}
	}); 
	
	$(document).on('click', 'a.addrdel', function(){
		$(this).parent().parent('tr').remove();
		// 把地址也都删除
		lenid = $(this).attr('data-aid');
		$(".areabox .con a").each(function(){ 
			if($(this).hasClass('ck_'+lenid)){
				$(this).removeClass('ck').removeClass('ck_'+lenid).removeAttr('data-ck-id');
			}	
		}); 
	});
	
	// 点击地址
	$(document).on('click', 'a.openaddr', function(){
		trid = $(this).attr('data-aid');
		$(".areabox .act a").attr('data-tid', trid); 
		// 改变选择状态
		$(".areabox .con a").each(function(){
			if(!$(this).hasClass('ck_'+trid) && $(this).hasClass('ck')){
				$(this).addClass('jzact');
			}
		});
		$(".areabox,.areaboxbg").show();
	}); 
	
	// 选中操作
	$(document).on("click", ".areabox .con a", function(){
		$this = $(this); 
		edtid = $(".areabox .act a").attr('data-tid');
		ckk_id = $this.attr('data-ck-id'); 
		ckid = $this.attr('data-ck-id'); 
		if((edtid == ckid) || (ckid == undefined)){
			code = $this.attr('data-id'); 
			ck = $this.hasClass('ck'); 
			if(ck == false){
				$this.attr('data-ck-id', edtid).addClass('ck').addClass("ck_"+edtid);
			}else{
				$this.removeAttr('data-ck-id').removeClass('ck').removeClass("ck_"+edtid);
			}
		}else{
			
		}
	});
	
	// 保存地址
	$(document).on('click', '.areabox .act a', function(){ 
		$this = $(this);
		lenid = $(this).attr('data-tid');
		html = '';
		html_id = '';
		$(".areabox .con a").each(function(){
			if($(this).hasClass('ck_'+lenid)){
				html += $(this).html()+'、';
				html_id += $(this).attr('data-id')+',';
			}
		});  
		html = html.substring(0, html.length-1);
		html_id = html_id.substring(0, html_id.length-1);
		$("#addrtr_"+lenid).find('.adrbox').html(html);
		$("#addrtr_"+lenid).find('input.addpot_id').val(html_id); 
		
		$(".areabox .con a").each(function(){
			$abthis = $(this);
			if(!$abthis.hasClass('ck_'+lenid)){
				$abthis.removeClass('jzact');
			}
		}); 
		
		$(".areabox,.areaboxbg").hide().find('.areabox .act a').attr('data-tid', '0');
	});
	
	$(document).on('click', '.areabox a.close', function(){ 
		$this = $(this);
		edtid = $(".areabox .act a").attr('data-tid');
		
		eee = $(".addpot_id_"+edtid).val();
		if(eee != ''){
			var strs= new Array();
			strs = eee.split(","); 
		}
		$(".areabox .con a").each(function(){
			$abthis = $(this);
			$abthis.removeClass('jzact');
			if($abthis.hasClass('ck_'+edtid)){
				// 之前选中的则不删除 
				if($.inArray($abthis.attr('data-id'), strs) < 0){
					$abthis.removeAttr('data-ck-id').removeClass('ck').removeClass("ck_"+edtid);
				} 
			}
		});
		
		$(".areabox,.areaboxbg").hide(); 
	});
	
	$(document).on("click", ".ck_area a", function(){
		$this = $(this);
		$this.remove();
		code = $this.attr('data-id');
		$(".area a.ck_"+code).removeClass('ckk').removeClass('ck_'+code);
	});
});